
using SkiaSharp;

namespace NeDvachAPI.DBControllers
{
    public class ImageController
    {
        public static bool CheckExtention(string extentionToCheck)
        {
            var supportedTypes = new[] { ".jpg", ".png", ".jpeg" };
            if (supportedTypes.Contains(extentionToCheck.ToLower()))
            {
                return true;
            }
            else return false;
        }

    public static bool ResizeImage(string picPath, string smallPath, int width, int height)
        {
            var dstInfo = new SKImageInfo(height, width);
            var bitmap = SKBitmap.Decode(picPath);

            var image = SKImage.FromBitmap(bitmap.Resize(dstInfo, SKFilterQuality.Medium));
            var data = image.Encode(SKEncodedImageFormat.Jpeg, 90);

             using (var stream = new FileStream(smallPath, FileMode.Create, FileAccess.Write))
                 data.SaveTo(stream);

            data.Dispose();
            image.Dispose();
            bitmap.Dispose();
            return true;
        }
    }
}

